<?php
/**
 * Nic_Device_dns:: Nic_Device implementation to retrieve data from
 * a DNS server.
 *
 * @author  Mike Cochrane <mike@graftonhall.co.nz>
 * @since   Nic 0.2
 * @package Nic
 */
class Nic_Device_dns extends Nic_Device {

    function Nic_Device_dns($params = array())
    {
        $this->params = $params;
        $this->params['hostspec'] = isset($this->params['hostspec']) ? $this->params['hostspec'] : 'localhost';
        $this->params['target'] = isset($this->params['target']) ? $this->params['target'] : 'hotmail.com';
        $this->params['type'] = isset($this->params['type']) ? $this->params['type'] : 'A';
    }

    function getStatus()
    {
        $status = array();
        $status['status'] = NIC_STATUS_NORMAL;
        $status['message'] = '';

        $nameservers = explode(',', $this->params['hostspec']);

        require_once 'Net/DNS.php';
        $res = new Net_DNS_Resolver();
        $res->nameservers = $nameservers;
        $packet = $res->search($this->params['target'], $this->params['type']);
        if (!is_object($packet)) {
            $status['message'] = _("Lookup Failed");
            $status['status'] = NIC_STATUS_FAULT;
        } else {
            $status['message'] = $packet->string();
            $status['status'] = NIC_STATUS_NORMAL;
        }

        return $status;
    }

}
