<?php
/**
 * $Horde: nic/status.php,v 1.29 2006/04/19 23:30:52 chuck Exp $
 *
 * Copyright 2003-2006 Mike Cochrane <mike@graftonhall.co.nz>
 *
 * See the enclosed file LICENSE for license information (BSD). If you
 * did not receive this file, see http://www.horde.org/asl.php.
 */

@define('NIC_BASE', dirname(__FILE__));
require_once NIC_BASE . '/lib/base.php';
require_once NIC_BASE . '/lib/Status.php';

/* Retrieve list of Hostnames. */
$storage = &Nic_Status::singleton();
$hostnames = $storage->retrieveHostnames(time() - 24 * 3600);
sort($hostnames);

/* Retrieve list of Subsystems. */
$subSystems = $storage->retrieveSubsystems($hostnames, time() - 24 * 3600);

/* Page variables. */
$title = _("Monitoring");
$refresh_time = 60;
$refresh_url = Horde::applicationUrl('status.php');

require NIC_TEMPLATES . '/common-header.inc';
require NIC_TEMPLATES . '/menu.inc';
require NIC_TEMPLATES . '/status/header.inc';
require NIC_TEMPLATES . '/status/list-header.inc';

foreach ($hostnames as $hostname) {
    require NIC_TEMPLATES . '/status/list-row.inc';
}

require NIC_TEMPLATES . '/status/list-footer.inc';
require $registry->get('templates', 'horde') . '/common-footer.inc';
